cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/portal/reset" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"portal": {
"code": "abc123def456",
"email": "jane@example.com",
"password": "new-password"
}
}'from exsited import build_client
client = build_client()
response = client.portals.create_portal_reset(
{
"portal": {
"code": "abc123def456",
"email": "jane@example.com",
"password": "new-password",
}
}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.portals.createPortalReset({
portal: {code: 'abc123def456', email: 'jane@example.com', password: 'new-password'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->portals->createPortalReset([
'portal' => [
'code' => 'abc123def456',
'email' => 'jane@example.com',
'password' => 'new-password',
],
]);
print_r($response->data);
import com.exsited.Dto;
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<Dto> response = client.portals().createPortalReset(
Map.of(
"portal", Map.of(
"code", "abc123def456",
"email", "jane@example.com",
"password", "new-password")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Portals.CreatePortalResetAsync(new Dictionary<string, object?>
{
["portal"] = new Dictionary<string, object?>
{
["code"] = "abc123def456",
["email"] = "jane@example.com",
["password"] = "new-password",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.portals.createPortalReset({
'portal': {
'code': 'abc123def456',
'email': 'jane@example.com',
'password': 'new-password',
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Portals().CreatePortalReset(context.Background(), map[string]any{
"portal": map[string]any{
"code": "abc123def456",
"email": "jane@example.com",
"password": "new-password",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
Portal
Reset a portal password with a code
Sets a new portal password using a reset code.
POST
/
portal
/
reset
cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/portal/reset" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"portal": {
"code": "abc123def456",
"email": "jane@example.com",
"password": "new-password"
}
}'from exsited import build_client
client = build_client()
response = client.portals.create_portal_reset(
{
"portal": {
"code": "abc123def456",
"email": "jane@example.com",
"password": "new-password",
}
}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.portals.createPortalReset({
portal: {code: 'abc123def456', email: 'jane@example.com', password: 'new-password'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->portals->createPortalReset([
'portal' => [
'code' => 'abc123def456',
'email' => 'jane@example.com',
'password' => 'new-password',
],
]);
print_r($response->data);
import com.exsited.Dto;
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<Dto> response = client.portals().createPortalReset(
Map.of(
"portal", Map.of(
"code", "abc123def456",
"email", "jane@example.com",
"password", "new-password")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Portals.CreatePortalResetAsync(new Dictionary<string, object?>
{
["portal"] = new Dictionary<string, object?>
{
["code"] = "abc123def456",
["email"] = "jane@example.com",
["password"] = "new-password",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.portals.createPortalReset({
'portal': {
'code': 'abc123def456',
'email': 'jane@example.com',
'password': 'new-password',
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Portals().CreatePortalReset(context.Background(), map[string]any{
"portal": map[string]any{
"code": "abc123def456",
"email": "jane@example.com",
"password": "new-password",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
Send the reset
code, the portal user’s email and the new password under portal. The response for a valid code is not documented yet.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.